Bug 177145 - [patch] multimedia/ffmpeg1 Update to 1.2
[patch] multimedia/ffmpeg1 Update to 1.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 16:50 UTC by alexander
Modified: 2013-10-19 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (11.72 KB, patch)
2013-03-20 16:50 UTC, alexander
no flags Details | Diff
cmus.diff.txt (904 bytes, text/plain; charset=US-ASCII)
2013-03-21 16:38 UTC, alexander
no flags Details
mplayer2.diff.txt (1.25 KB, text/plain; charset=US-ASCII)
2013-03-21 16:38 UTC, alexander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alexander 2013-03-20 16:50:01 UTC
This patch updates multimedia/ffmpeg1 to the recently released FFmpeg 1.2. Should probably also bump the PORTREVISION for all dependent ports because libavutil.so version changed from 51 to 52.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-20 16:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Matuska freebsd_committer 2013-03-20 19:22:16 UTC
Hi, did you test it with all ports that use it?

Cheers,
mm

-- 
Martin Matuska
FreeBSD committer
http://blog.vx.sk
Comment 3 alexander 2013-03-20 21:13:59 UTC
On Wed, Mar 20, 2013 at 12:22 PM, Martin Matuska <mm@freebsd.org> wrote:
> Hi, did you test it with all ports that use it?

Only with what I use: audio/spek and multimedia/vlc. Some of the
others have heavy dependencies (java et al), but I can give it a go
later today.
Comment 4 alexander 2013-03-21 16:38:14 UTC
I checked ports that depend on multimedia/ffmpeg1. These ports compile
and install: audio/beets, audio/spek, multimedia/audacious-plugins,
multimedia/mlt, multimedia/vlc, multimedia/xbmc, net/serviio.

These two ports fail to compile: audio/cmus, multimedia/mplayer2. I'm
attaching patches that fix them.

In case of audio/cmus however, it fails with the in-tree version of
multimedia/ffmpeg1 as well *if* multimedia/ffmpeg is also installed.
My fix is somewhat hacky so feel free to ignore it and just notify the
audio/cmus maintainer.
Comment 5 martin.matuska 2013-06-24 15:39:56 UTC
This is the list of ports using (or optionally using) ffmpeg1 I figured
so far:
audio/beets
audio/cmus
audio/lastfm-desktop
audio/spek
comms/dabstick-radio
deskutils/libstreamanalyzer
emulators/dolphin-emu-devel
games/corsix-th
graphics/cimg
graphics/wxsvg
multimedia/audacious-plugins
multimedia/dvdstyler
multimedia/ffmpeg1
multimedia/kdemultimedia4-ffmpegthumbs
multimedia/kdenlive
multimedia/mplayer2
multimedia/vlc
multimedia/xbmc
net/serviio
sysutils/nepomuk-core

Testing it now.
Comment 6 dfilter freebsd_committer 2013-06-25 08:41:40 UTC
Author: mm
Date: Tue Jun 25 07:41:26 2013
New Revision: 321725
URL: http://svnweb.freebsd.org/changeset/ports/321725

Log:
  Update multimedia/ffmpeg1 to 1.2.1
  
  PR:		ports/177145
  Submitted by:	Alexander Kojevnikov <alexander@kojevnikov.com>

Added:
  head/multimedia/mplayer2/files/patch-sub-subassconvert.c   (contents, props changed)
  head/multimedia/mplayer2/files/patch-sub-subreader.c   (contents, props changed)
Deleted:
  head/multimedia/ffmpeg1/files/patch-libavcodec-libgsm.c
Modified:
  head/audio/beets/Makefile
  head/audio/cmus/Makefile
  head/audio/lastfm-desktop/Makefile
  head/audio/spek/Makefile
  head/comms/dabstick-radio/Makefile
  head/deskutils/libstreamanalyzer/Makefile
  head/emulators/dolphin-emu-devel/Makefile
  head/games/corsix-th/Makefile
  head/graphics/cimg/Makefile
  head/graphics/wxsvg/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/ffmpeg1/Makefile
  head/multimedia/ffmpeg1/distinfo
  head/multimedia/ffmpeg1/files/patch-configure
  head/multimedia/ffmpeg1/files/patch-library.mak
  head/multimedia/ffmpeg1/pkg-plist
  head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile
  head/multimedia/kdenlive/Makefile
  head/multimedia/mplayer2/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/xbmc/Makefile
  head/net/serviio/Makefile
  head/sysutils/nepomuk-core/Makefile

Modified: head/audio/beets/Makefile
==============================================================================
--- head/audio/beets/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/audio/beets/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	beets
 PORTVERSION=	1.1.0
+PORTREVISION=	1
 CATEGORIES=	audio python
 MASTER_SITES=	CHEESESHOP
 

Modified: head/audio/cmus/Makefile
==============================================================================
--- head/audio/cmus/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/audio/cmus/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cmus
 PORTVERSION=	2.5.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}
 DISTNAME=	${PORTNAME}-v${PORTVERSION}

Modified: head/audio/lastfm-desktop/Makefile
==============================================================================
--- head/audio/lastfm-desktop/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/audio/lastfm-desktop/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	lastfm
 PORTVERSION=	2.1.30
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://cdn.last.fm/client/Linux/
 PKGNAMESUFFIX=	-desktop

Modified: head/audio/spek/Makefile
==============================================================================
--- head/audio/spek/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/audio/spek/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	spek
 PORTVERSION=	0.8.2
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 

Modified: head/comms/dabstick-radio/Makefile
==============================================================================
--- head/comms/dabstick-radio/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/comms/dabstick-radio/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	dabstick-radio
 PORTVERSION=	0.95
+PORTREVISION=	1
 CATEGORIES=	comms audio hamradio
 MASTER_SITES=	http://www.sdr-j.tk/
 EXTRACT_SUFX=	.tgz

Modified: head/deskutils/libstreamanalyzer/Makefile
==============================================================================
--- head/deskutils/libstreamanalyzer/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/deskutils/libstreamanalyzer/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -2,6 +2,7 @@
 
 PORTNAME=	libstreamanalyzer
 PORTVERSION=	${STRIGI_VERSION}
+PORTREVISION=	1
 CATEGORIES=	deskutils
 MASTER_SITES=	${STRIGI_MASTER_SITES}
 

Modified: head/emulators/dolphin-emu-devel/Makefile
==============================================================================
--- head/emulators/dolphin-emu-devel/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/emulators/dolphin-emu-devel/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	dolphin-emu
 PORTVERSION=	3.5.r${REVDATE}
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://contribs.martymac.org/FreeBSD-ports/distfiles/ \
 		LOCAL/martymac

Modified: head/games/corsix-th/Makefile
==============================================================================
--- head/games/corsix-th/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/games/corsix-th/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	corsixth
 PORTVERSION=	0.21
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	GOOGLE_CODE
 PROJECTHOST=	corsix-th

Modified: head/graphics/cimg/Makefile
==============================================================================
--- head/graphics/cimg/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/graphics/cimg/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	cimg
 PORTVERSION=	1.5.5
+PORTREVISION=	1
 PORTEPOCH=	3
 CATEGORIES=	graphics devel
 MASTER_SITES=	SF/${PORTNAME}		\

Modified: head/graphics/wxsvg/Makefile
==============================================================================
--- head/graphics/wxsvg/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/graphics/wxsvg/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	wxsvg
 PORTVERSION=	1.1.15
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 

Modified: head/multimedia/audacious-plugins/Makefile
==============================================================================
--- head/multimedia/audacious-plugins/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/audacious-plugins/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,7 +3,7 @@
 
 PORTNAME=	audacious-plugins
 PORTVERSION=	3.3.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	multimedia audio
 MASTER_SITES=	http://distfiles.audacious-media-player.org/
 

Modified: head/multimedia/dvdstyler/Makefile
==============================================================================
--- head/multimedia/dvdstyler/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/dvdstyler/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	dvdstyler
 PORTVERSION=	2.4.3
+PORTREVISION=	1
 PORTEPOCH=	2
 CATEGORIES=	multimedia
 MASTER_SITES=	SF

Modified: head/multimedia/ffmpeg1/Makefile
==============================================================================
--- head/multimedia/ffmpeg1/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/ffmpeg1/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ffmpeg
-PORTVERSION=	1.0.7
+PORTVERSION=	1.2.1
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	http://ffmpeg.org/releases/
 PKGNAMESUFFIX=	1
@@ -31,14 +31,14 @@ WANT_SDL=	yes
 USE_PERL5_BUILD=	yes
 
 OPTIONS_DEFINE=	AACPLUS ALSA AMR_NB AMR_WB ASS CDIO CELT DEBUG FAAC \
-		FDK_AAC FFSERVER FONTCONFIG FREETYPE FREI0R GNUTLS GSM LAME \
-		LIBBLURAY LIBV4L MODPLUG OPENAL OPENCV OPENJPEG OPENSSL \
+		FDK_AAC FFSERVER FONTCONFIG FREETYPE FREI0R GNUTLS GSM ICONV \
+		LAME LIBBLURAY LIBV4L MODPLUG OPENAL OPENCV OPENJPEG OPENSSL \
 		OPTIMIZED_CFLAGS OPUS PULSEAUDIO RTMP SCHROEDINGER SDL SPEEX \
 		THEORA VAAPI VDPAU VO_AACENC VO_AMRWBENC VORBIS VPX \
 		X11GRAB X264 XVID
 
-OPTIONS_DEFAULT=	FFSERVER FONTCONFIG FREETYPE FREI0R GNUTLS OPENCV \
-			SCHROEDINGER THEORA VORBIS VPX X264 XVID
+OPTIONS_DEFAULT=	FFSERVER FONTCONFIG FREETYPE FREI0R GNUTLS ICONV \
+			OPENCV SCHROEDINGER THEORA VORBIS VPX X264 XVID
 
 ASS_DESC=	Subtitles rendering via libass
 CDIO_DESC=	Audio CD grabbing with libcdio
@@ -96,6 +96,7 @@ CONFIGURE_ARGS+=--prefix="${PREFIX}" \
 		--enable-memalign-hack \
 		--disable-libstagefright-h264 \
 		--disable-libutvideo \
+		--disable-libsoxr \
 		--cc="${CC}" \
 		--extra-cflags="${FFMPEG_CFLAGS} -I${LOCALBASE}/include" \
 		--extra-ldflags="-L${LOCALBASE}/lib ${FFMPEG_LDFLAGS}" \
@@ -269,6 +270,14 @@ CONFIGURE_ARGS+=	--enable-libgsm
 CONFIGURE_ARGS+=	--disable-libgsm
 .endif
 
+# gsm
+.if ${PORT_OPTIONS:MICONV}
+USES+=	iconv
+CONFIGURE_ARGS+=	--enable-iconv
+.else
+CONFIGURE_ARGS+=	--disable-libiconv
+.endif
+
 # lame
 .if ${PORT_OPTIONS:MLAME}
 LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame

Modified: head/multimedia/ffmpeg1/distinfo
==============================================================================
--- head/multimedia/ffmpeg1/distinfo	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/ffmpeg1/distinfo	Tue Jun 25 07:41:26 2013	(r321725)
@@ -1,2 +1,2 @@
-SHA256 (ffmpeg-1.0.7.tar.bz2) = f7e52bd5e0de064e36ecb04adf155c31dd30366a13168fabe61fd135f24d5c11
-SIZE (ffmpeg-1.0.7.tar.bz2) = 6451535
+SHA256 (ffmpeg-1.2.1.tar.bz2) = 0302375c3a64e9c2facfa7cbeb1aa333a39fdf6bbacda228cd48e04bf9ee32ca
+SIZE (ffmpeg-1.2.1.tar.bz2) = 5968378

Modified: head/multimedia/ffmpeg1/files/patch-configure
==============================================================================
--- head/multimedia/ffmpeg1/files/patch-configure	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/ffmpeg1/files/patch-configure	Tue Jun 25 07:41:26 2013	(r321725)
@@ -1,6 +1,6 @@
---- configure.orig	2013-02-07 01:29:22.000000000 +0100
-+++ configure	2013-02-23 22:38:06.946960545 +0100
-@@ -2030,7 +2030,7 @@
+--- configure.orig
++++ configure
+@@ -2147,7 +2147,7 @@ yasmexe_default="yasm"
  nogas=":"
  
  # machine
@@ -9,9 +9,9 @@
  cpu="generic"
  
  # OS
-@@ -3729,10 +3729,10 @@
- perl --version > /dev/null 2>&1 && enable perl || disable perl
+@@ -3991,10 +3991,10 @@ perl --version > /dev/null 2>&1 && enabl
  pod2man --help > /dev/null 2>&1 && enable pod2man || disable pod2man
+ rsync --help 2> /dev/null | grep -q 'contimeout' && enable rsync_contimeout || disable rsync_contimeout
  
 -check_header linux/fb.h
 -check_header linux/videodev.h
@@ -24,7 +24,7 @@
  
  check_header sys/videoio.h
  
-@@ -4122,7 +4122,7 @@
+@@ -4373,7 +4373,7 @@ ifndef MAIN_MAKEFILE
  SRC_PATH:=\$(SRC_PATH:.%=..%)
  endif
  CC_IDENT=$cc_ident
@@ -33,14 +33,7 @@
  CC=$cc
  CXX=$cxx
  AS=$as
-@@ -4325,13 +4325,13 @@
-     requires=$5
-     enabled ${name#lib} || return 0
-     mkdir -p $name
--    cat <<EOF > $name/$name.pc
-+    cat <<EOF > $name/${name}${build_suffix}.pc
- prefix=$prefix
- exec_prefix=\${prefix}
+@@ -4555,7 +4555,7 @@ exec_prefix=\${prefix}
  libdir=$libdir
  includedir=$incdir
  
@@ -49,7 +42,7 @@
  Description: $comment
  Version: $version
  Requires: $(enabled shared || echo $requires)
-@@ -4345,10 +4345,10 @@
+@@ -4569,10 +4569,10 @@ EOF
  mkdir -p doc/examples/pc-uninstalled
  includedir=${source_path}
  [ "$includedir" = . ] && includedir="\${pcfiledir}/../../.."
@@ -62,41 +55,3 @@
  includedir=${includedir}
  
  Name: $name
-@@ -4362,25 +4362,25 @@
- }
- 
- libavfilter_pc_deps=""
--enabled libavfilter_deps_avcodec    && prepend libavfilter_pc_deps "libavcodec = $LIBAVCODEC_VERSION,"
--enabled libavfilter_deps_avformat   && prepend libavfilter_pc_deps "libavformat = $LIBAVFORMAT_VERSION,"
--enabled libavfilter_deps_swscale    && prepend libavfilter_pc_deps "libswscale = $LIBSWSCALE_VERSION,"
--enabled libavfilter_deps_swresample && prepend libavfilter_pc_deps "libswresample = $LIBSWRESAMPLE_VERSION,"
--enabled libavfilter_deps_postproc   && prepend libavfilter_pc_deps "libpostproc = $LIBPOSTPROC_VERSION,"
-+enabled libavfilter_deps_avcodec    && prepend libavfilter_pc_deps "libavcodec${build_suffix} = $LIBAVCODEC_VERSION,"
-+enabled libavfilter_deps_avformat   && prepend libavfilter_pc_deps "libavformat${build_suffix} = $LIBAVFORMAT_VERSION,"
-+enabled libavfilter_deps_swscale    && prepend libavfilter_pc_deps "libswscale${build_suffix} = $LIBSWSCALE_VERSION,"
-+enabled libavfilter_deps_swresample && prepend libavfilter_pc_deps "libswresample${build_suffix} = $LIBSWRESAMPLE_VERSION,"
-+enabled libavfilter_deps_postproc   && prepend libavfilter_pc_deps "libpostproc${build_suffix} = $LIBPOSTPROC_VERSION,"
- libavfilter_pc_deps=${libavfilter_pc_deps%, }
- 
--libavdevice_pc_deps="libavformat = $LIBAVFORMAT_VERSION"
--enabled lavfi_indev && prepend libavdevice_pc_deps "libavfilter = $LIBAVFILTER_VERSION,"
-+libavdevice_pc_deps="libavformat${build_suffix} = $LIBAVFORMAT_VERSION"
-+enabled lavfi_indev && prepend libavdevice_pc_deps "libavfilter${build_suffix} = $LIBAVFILTER_VERSION,"
- 
- pkgconfig_generate libavutil "FFmpeg utility library" "$LIBAVUTIL_VERSION" "$LIBM"
--pkgconfig_generate libavcodec "FFmpeg codec library" "$LIBAVCODEC_VERSION" "$extralibs" "libavutil = $LIBAVUTIL_VERSION"
--pkgconfig_generate libavformat "FFmpeg container format library" "$LIBAVFORMAT_VERSION" "$extralibs" "libavcodec = $LIBAVCODEC_VERSION"
-+pkgconfig_generate libavcodec "FFmpeg codec library" "$LIBAVCODEC_VERSION" "$extralibs" "libavutil${build_suffix} = $LIBAVUTIL_VERSION"
-+pkgconfig_generate libavformat "FFmpeg container format library" "$LIBAVFORMAT_VERSION" "$extralibs" "libavcodec${build_suffix} = $LIBAVCODEC_VERSION"
- pkgconfig_generate libavdevice "FFmpeg device handling library" "$LIBAVDEVICE_VERSION" "$extralibs" "$libavdevice_pc_deps"
- pkgconfig_generate libavfilter "FFmpeg video filtering library" "$LIBAVFILTER_VERSION" "$extralibs" "$libavfilter_pc_deps"
--pkgconfig_generate libpostproc "FFmpeg postprocessing library" "$LIBPOSTPROC_VERSION" "" "libavutil = $LIBAVUTIL_VERSION"
-+pkgconfig_generate libpostproc "FFmpeg postprocessing library" "$LIBPOSTPROC_VERSION" "" "libavutil${build_suffix} = $LIBAVUTIL_VERSION"
- pkgconfig_generate libavresample "Libav audio resampling library" "$LIBAVRESAMPLE_VERSION" "$extralibs"
--pkgconfig_generate libswscale "FFmpeg image rescaling library" "$LIBSWSCALE_VERSION" "$LIBM" "libavutil = $LIBAVUTIL_VERSION"
--pkgconfig_generate libswresample "FFmpeg audio rescaling library" "$LIBSWRESAMPLE_VERSION" "$LIBM" "libavutil = $LIBAVUTIL_VERSION"
-+pkgconfig_generate libswscale "FFmpeg image rescaling library" "$LIBSWSCALE_VERSION" "$LIBM" "libavutil${build_suffix} = $LIBAVUTIL_VERSION"
-+pkgconfig_generate libswresample "FFmpeg audio rescaling library" "$LIBSWRESAMPLE_VERSION" "$LIBM" "libavutil${build_suffix} = $LIBAVUTIL_VERSION"
- 
- fix_ffmpeg_remote(){
-     git_remote_from=$1

Modified: head/multimedia/ffmpeg1/files/patch-library.mak
==============================================================================
--- head/multimedia/ffmpeg1/files/patch-library.mak	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/ffmpeg1/files/patch-library.mak	Tue Jun 25 07:41:26 2013	(r321725)
@@ -4,10 +4,9 @@
  	$(Q)mkdir -p "$(INCINSTDIR)"
  	$$(INSTALL) -m 644 $$^ "$(INCINSTDIR)"
  
--install-lib$(NAME)-pkgconfig: $(SUBDIR)lib$(NAME).pc
+ install-lib$(NAME)-pkgconfig: $(SUBDIR)lib$(FULLNAME).pc
 -	$(Q)mkdir -p "$(LIBDIR)/pkgconfig"
 -	$$(INSTALL) -m 644 $$^ "$(LIBDIR)/pkgconfig"
-+install-lib$(NAME)-pkgconfig: $(SUBDIR)lib$(NAME)$(BUILDSUF).pc
 +	$(Q)mkdir -p "$(prefix)/libdata/pkgconfig"
 +	$$(INSTALL) -m 644 $$^ "$(prefix)/libdata/pkgconfig"
  
@@ -17,8 +16,8 @@
  
  uninstall-headers::
  	$(RM) $(addprefix "$(INCINSTDIR)/",$(HEADERS) $(BUILT_HEADERS))
--	$(RM) "$(LIBDIR)/pkgconfig/lib$(NAME).pc"
-+	$(RM) "$(prefix)/libdata/pkgconfig/lib$(NAME).pc"
+-	$(RM) "$(LIBDIR)/pkgconfig/lib$(FULLNAME).pc"
++	$(RM) "$(prefix)/libdata/pkgconfig/lib$(FULLNAME).pc"
  	-rmdir "$(INCINSTDIR)"
  endef
  

Modified: head/multimedia/ffmpeg1/pkg-plist
==============================================================================
--- head/multimedia/ffmpeg1/pkg-plist	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/ffmpeg1/pkg-plist	Tue Jun 25 07:41:26 2013	(r321725)
@@ -38,6 +38,7 @@ include/ffmpeg%%SUFF%%/libavutil/base64.
 include/ffmpeg%%SUFF%%/libavutil/blowfish.h
 include/ffmpeg%%SUFF%%/libavutil/bprint.h
 include/ffmpeg%%SUFF%%/libavutil/bswap.h
+include/ffmpeg%%SUFF%%/libavutil/channel_layout.h
 include/ffmpeg%%SUFF%%/libavutil/common.h
 include/ffmpeg%%SUFF%%/libavutil/cpu.h
 include/ffmpeg%%SUFF%%/libavutil/crc.h
@@ -46,6 +47,7 @@ include/ffmpeg%%SUFF%%/libavutil/error.h
 include/ffmpeg%%SUFF%%/libavutil/eval.h
 include/ffmpeg%%SUFF%%/libavutil/fifo.h
 include/ffmpeg%%SUFF%%/libavutil/file.h
+include/ffmpeg%%SUFF%%/libavutil/hmac.h
 include/ffmpeg%%SUFF%%/libavutil/imgutils.h
 include/ffmpeg%%SUFF%%/libavutil/intfloat.h
 include/ffmpeg%%SUFF%%/libavutil/intfloat_readwrite.h
@@ -56,6 +58,7 @@ include/ffmpeg%%SUFF%%/libavutil/lzo.h
 include/ffmpeg%%SUFF%%/libavutil/mathematics.h
 include/ffmpeg%%SUFF%%/libavutil/md5.h
 include/ffmpeg%%SUFF%%/libavutil/mem.h
+include/ffmpeg%%SUFF%%/libavutil/old_pix_fmts.h
 include/ffmpeg%%SUFF%%/libavutil/opt.h
 include/ffmpeg%%SUFF%%/libavutil/parseutils.h
 include/ffmpeg%%SUFF%%/libavutil/pixdesc.h
@@ -70,41 +73,43 @@ include/ffmpeg%%SUFF%%/libavutil/timesta
 include/ffmpeg%%SUFF%%/libavutil/version.h
 include/ffmpeg%%SUFF%%/libavutil/xtea.h
 include/ffmpeg%%SUFF%%/libpostproc/postprocess.h
+include/ffmpeg%%SUFF%%/libpostproc/version.h
 include/ffmpeg%%SUFF%%/libswresample/swresample.h
+include/ffmpeg%%SUFF%%/libswresample/version.h
 include/ffmpeg%%SUFF%%/libswscale/swscale.h
 include/ffmpeg%%SUFF%%/libswscale/version.h
 lib/ffmpeg%%SUFF%%/libavcodec%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libavcodec%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libavcodec%%SUFF%%.so.54
-lib/ffmpeg%%SUFF%%/libavcodec%%SUFF%%.so.54.59.100
+lib/ffmpeg%%SUFF%%/libavcodec%%SUFF%%.so.54.92.100
 lib/ffmpeg%%SUFF%%/libavdevice%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libavdevice%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libavdevice%%SUFF%%.so.54
-lib/ffmpeg%%SUFF%%/libavdevice%%SUFF%%.so.54.2.101
+lib/ffmpeg%%SUFF%%/libavdevice%%SUFF%%.so.54.3.103
 lib/ffmpeg%%SUFF%%/libavfilter%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libavfilter%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libavfilter%%SUFF%%.so.3
-lib/ffmpeg%%SUFF%%/libavfilter%%SUFF%%.so.3.17.100
+lib/ffmpeg%%SUFF%%/libavfilter%%SUFF%%.so.3.42.103
 lib/ffmpeg%%SUFF%%/libavformat%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libavformat%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libavformat%%SUFF%%.so.54
-lib/ffmpeg%%SUFF%%/libavformat%%SUFF%%.so.54.29.104
+lib/ffmpeg%%SUFF%%/libavformat%%SUFF%%.so.54.63.104
 lib/ffmpeg%%SUFF%%/libavutil%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libavutil%%SUFF%%.so
-lib/ffmpeg%%SUFF%%/libavutil%%SUFF%%.so.51
-lib/ffmpeg%%SUFF%%/libavutil%%SUFF%%.so.51.73.101
+lib/ffmpeg%%SUFF%%/libavutil%%SUFF%%.so.52
+lib/ffmpeg%%SUFF%%/libavutil%%SUFF%%.so.52.18.100
 lib/ffmpeg%%SUFF%%/libpostproc%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libpostproc%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libpostproc%%SUFF%%.so.52
-lib/ffmpeg%%SUFF%%/libpostproc%%SUFF%%.so.52.0.100
+lib/ffmpeg%%SUFF%%/libpostproc%%SUFF%%.so.52.2.100
 lib/ffmpeg%%SUFF%%/libswresample%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libswresample%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libswresample%%SUFF%%.so.0
-lib/ffmpeg%%SUFF%%/libswresample%%SUFF%%.so.0.15.100
+lib/ffmpeg%%SUFF%%/libswresample%%SUFF%%.so.0.17.102
 lib/ffmpeg%%SUFF%%/libswscale%%SUFF%%.a
 lib/ffmpeg%%SUFF%%/libswscale%%SUFF%%.so
 lib/ffmpeg%%SUFF%%/libswscale%%SUFF%%.so.2
-lib/ffmpeg%%SUFF%%/libswscale%%SUFF%%.so.2.1.101
+lib/ffmpeg%%SUFF%%/libswscale%%SUFF%%.so.2.2.100
 libdata/pkgconfig/libavcodec%%SUFF%%.pc
 libdata/pkgconfig/libavdevice%%SUFF%%.pc
 libdata/pkgconfig/libavfilter%%SUFF%%.pc
@@ -114,12 +119,14 @@ libdata/pkgconfig/libpostproc%%SUFF%%.pc
 libdata/pkgconfig/libswresample%%SUFF%%.pc
 libdata/pkgconfig/libswscale%%SUFF%%.pc
 %%DATADIR%%/examples/Makefile
+%%DATADIR%%/examples/README
 %%DATADIR%%/examples/decoding_encoding.c
 %%DATADIR%%/examples/demuxing.c
 %%DATADIR%%/examples/filtering_audio.c
 %%DATADIR%%/examples/filtering_video.c
 %%DATADIR%%/examples/metadata.c
 %%DATADIR%%/examples/muxing.c
+%%DATADIR%%/examples/resampling_audio.c
 %%DATADIR%%/examples/scaling_video.c
 %%DATADIR%%/ffprobe.xsd
 %%DATADIR%%/libvpx-1080p.ffpreset

Modified: head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile
==============================================================================
--- head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ffmpegthumbs
 PORTVERSION=	${KDE4_VERSION}
+PORTREVISION=	1
 CATEGORIES=	multimedia kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src

Modified: head/multimedia/kdenlive/Makefile
==============================================================================
--- head/multimedia/kdenlive/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/kdenlive/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -2,6 +2,7 @@
 
 PORTNAME=	kdenlive
 PORTVERSION=	0.9.6
+PORTREVISION=	1
 CATEGORIES=	multimedia kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTNAME}/${PORTVERSION}/src/

Modified: head/multimedia/mplayer2/Makefile
==============================================================================
--- head/multimedia/mplayer2/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/mplayer2/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -2,6 +2,7 @@
 
 PORTNAME=	mplayer2
 PORTVERSION=	${MPLAYER2_PORT_VERSION}
+PORTREVISION=	1
 CATEGORIES=	multimedia audio
 MASTER_SITES=	LOCAL/gblach/
 

Added: head/multimedia/mplayer2/files/patch-sub-subassconvert.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/mplayer2/files/patch-sub-subassconvert.c	Tue Jun 25 07:41:26 2013	(r321725)
@@ -0,0 +1,10 @@
+--- sub/subassconvert.c.orig
++++ sub/subassconvert.c
+@@ -18,6 +18,7 @@
+  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+  */
+ 
++#include <ctype.h>
+ #include <string.h>
+ #include <stdint.h>
+ #include <stdlib.h>

Added: head/multimedia/mplayer2/files/patch-sub-subreader.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/mplayer2/files/patch-sub-subreader.c	Tue Jun 25 07:41:26 2013	(r321725)
@@ -0,0 +1,10 @@
+--- sub/subreader.c.orig
++++ sub/subreader.c
+@@ -21,6 +21,7 @@
+  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+  */
+ 
++#include <ctype.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>

Modified: head/multimedia/vlc/Makefile
==============================================================================
--- head/multimedia/vlc/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/vlc/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,7 +3,7 @@
 
 PORTNAME=	vlc
 DISTVERSION=	2.0.6
-PORTREVISION=	3
+PORTREVISION=	4
 PORTEPOCH=	3
 CATEGORIES=	multimedia audio ipv6 net www
 MASTER_SITES=	http://download.videolan.org/pub/videolan/${PORTNAME}/${DISTVERSION:S/p/-pre/}/ \

Modified: head/multimedia/xbmc/Makefile
==============================================================================
--- head/multimedia/xbmc/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/multimedia/xbmc/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -2,7 +2,7 @@
 
 PORTNAME=	xbmc
 DISTVERSION=	12.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	multimedia
 MASTER_SITES=	http://mirrors.xbmc.org/releases/source/
 

Modified: head/net/serviio/Makefile
==============================================================================
--- head/net/serviio/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/net/serviio/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	serviio
 PORTVERSION=	1.2.1
+PORTREVISION=	1
 CATEGORIES=	net multimedia java www
 MASTER_SITES=	http://download.serviio.org/releases/
 EXTRACT_SUFX=	-linux.tar.gz

Modified: head/sysutils/nepomuk-core/Makefile
==============================================================================
--- head/sysutils/nepomuk-core/Makefile	Tue Jun 25 07:23:07 2013	(r321724)
+++ head/sysutils/nepomuk-core/Makefile	Tue Jun 25 07:41:26 2013	(r321725)
@@ -3,6 +3,7 @@
 
 PORTNAME=	nepomuk-core
 PORTVERSION=	${KDE4_VERSION}
+PORTREVISION=	1
 CATEGORIES=	sysutils kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Martin Matuska freebsd_committer 2013-10-14 18:53:49 UTC
Responsible Changed
From-To: mm->wg

Reassign to new maintainer
Comment 8 William Grzybowski freebsd_committer 2013-10-19 23:30:06 UTC
State Changed
From-To: open->closed

Sorry, someone updated the port without looking at your PR :(